# Generated from meez-0.2.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name meez

Name: rubygem-%{gem_name}
Version: 0.2.7
Release: 1%{?dist}
Summary: Initializes a chef cookbook with TDD framework
License: apache2
URL: http://github.com/paulczar/meez
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
`Meez` (slang for `mise en place`) will create an opinionated chef cookbook
skeleton complete with testing suite including:
berkshelf, chefspec, test kitchen, foodcritic, server spec.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/meez
%{gem_instdir}/.drone.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/Dockerfile
%{gem_instdir}/Guardfile
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/meez.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.7-1
- Initial package
